Problem installing SugarCRM CE 5.1.0a on perfect Fedora Core 5 with ISPConfig 2.2.6

Discussion in 'Installation/Configuration' started by dlucy, Nov 9, 2008.

  1. dlucy

    dlucy New Member


    How To Forge's Fedora Core 5 "perfect server" setup
    ISPConfig 2.2.6


    I'm attempting to install SugarCRM CE community edition 5.1.0a and I get an error during the pre-setup checks that PHP doesn't not have "mb enabled" in the ini file or compiled-in.

    My server has been running great for years on this setup (Thanks Falko!), but I really need SugarCRM.

    Should I build PHP from source and compile-in this mb support? If so, what's the best steps to do so?

    Or is there somewhere I can simply turn this on?

  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Normally there is no need to recompile php and it is recommended to not recompile php. All current Linux distributions use a modular php, so functions dont have to be compiled in anymore, they were just loaded. It is just enough to install the php mbstring extension, but in your case you will most likely get a problem to install the package as your linux distribution is pretty old and as far as I know the software repositorys for fedora 5 has been removed already.

    Do you still have the original fedora 5 install dvd to install the package from there?
  3. sugarclint

    sugarclint New Member

    Sugar uses the utf8 character set for handling all data within the internals of the application. The mbstring extension for PHP enables your PHP system to handle utf8 properly.

    To enable it, simply uncomment the mbstring extension in your php.ini and restart Apache.
  4. Apen2010

    Apen2010 New Member

Share This Page